## org.apache.cassandra.auth
Interface IAuthenticator

All Known Implementing Classes:
  AllowAllAuthenticator, SimpleAuthenticator

    public interface IAuthenticator

Method Summary
`void` `login(java.lang.String keyspace, AuthenticationRequest auth_request)`

Method Detail

### login

    void login(java.lang.String keyspace,
               AuthenticationRequest auth_request)
               throws AuthenticationException,
                      AuthorizationException

  Throws:
    `AuthenticationException`
    `AuthorizationException`

Copyright © 2010 The Apache Software Foundation